body {
    margin: 0;
    padding: 0;
    display: flex;
    height: 100vh;
    align-items: stretch;

}

.room {
    background-color: lightgoldenrodyellow;
    flex: 1;
    margin: 0 auto;
    position: relative;
    width: 100%;
}

.boulder {
    width: 12px;
    height: 12px;
    border-radius: 50%;
    position: absolute;
    transition: all 333ms;
}

.boulder:hover {
    width: 32px;
    height: 32px;
    margin: -10px 0 0 -10px;
    box-shadow: 0 4px 8px #0008;
}

iframe {
    width: 250px;
    border: 0;
    padding: 16px;
    background-color: #d2e4fa;
    box-shadow: 0 0 16px #0008;
    z-index: 2;
}

main {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: stretch;
}

h2 {
    margin-top: 0;
}

table {
    border-spacing: 8px;
    margin: -8px;
}

th {
    text-align: left;
}

nav {
    display: flex;
    gap: 16px;
    padding: 16px;
    background-color: lightgoldenrodyellow;
}

nav > a {
    text-decoration: none;
    color: white;
    background-color: #ef6c00;
    border-radius: 6px;
    padding: 4px 8px;
    font-weight: bold;
    box-shadow: 0 4px 8px #0008;
    z-index: 2;
}